summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Pool <mbp@samba.org>2001-08-29 09:12:05 +0000
committerMartin Pool <mbp@samba.org>2001-08-29 09:12:05 +0000
commit78ffe4787fbe6c3d175d9196ef4c2bc9f4521b5f (patch)
tree38b16c75ff81d7ec8c7eaa74332bcba3ec98626f
parenta4b4af889bde3f92f151b870db05416d3ceb4ab9 (diff)
downloadrsync-78ffe4787fbe6c3d175d9196ef4c2bc9f4521b5f.tar.gz
rsync-78ffe4787fbe6c3d175d9196ef4c2bc9f4521b5f.tar.bz2
rsync-78ffe4787fbe6c3d175d9196ef4c2bc9f4521b5f.zip
$RSYNC and similar variables must be set to absolute path so that it
can be passed to --rsync-path. Add a nopersist=yes option that makes runtests bomb out as soon as one test fails -- this is good if you're watching the trace output.
-rwxr-xr-xruntests.sh7
1 files changed, 5 insertions, 2 deletions
diff --git a/runtests.sh b/runtests.sh
index 1026d053..8d5bde76 100755
--- a/runtests.sh
+++ b/runtests.sh
@@ -118,8 +118,9 @@ then
exit 2
fi
+RSYNC="$rsync_bin"
-export rsync_bin
+export rsync_bin RSYNC
skipped=0
missing=0
@@ -129,8 +130,9 @@ failed=0
scratchdir=./testtmp
[ -d "$scratchdir" ] && rm -r "$scratchdir"
mkdir "$scratchdir"
-
+scratchdir=`cd $scratchdir && pwd`
echo " scratchdir=$scratchdir"
+
suitedir="$srcdir/testsuite"
export scratchdir suitedir
@@ -161,6 +163,7 @@ do
*)
echo "----- $testbase failed!"
failed=`expr $failed + 1`
+ [ "$nopersist" = "yes" ] && exit 1
esac
fi
done